using MongoDB.Bson.Serialization.Attributes;

namespace LocationsApi.Models;

public class LocationResource
{
    [BsonElement("itemKey")]
    public string ItemKey { get; set; } = string.Empty;

    [BsonElement("remainingQuantity")]
    public int RemainingQuantity { get; set; }

    [BsonElement("gatherQuantity")]
    public int GatherQuantity { get; set; } = 1;
}
